diff -iwaru PgSQL.orig/ODBC/multibyte.c PgSQL/ODBC/multibyte.c
--- PgSQL.orig/ODBC/multibyte.c	2003-12-09 11:01:38.000000000 +0100
+++ PgSQL/ODBC/multibyte.c	2004-01-09 15:50:10.459366400 +0100
@@ -397,6 +397,9 @@
 			case 950:
 				wenc = "BIG5";
 				break;
+			case 1250:
+				wenc = "WIN1250";
+				break;
 			case 1252:
 				if (PG_VERSION_GE(self, 7.2))
 					wenc = "latin9";
diff -iwaru PgSQL.orig/ODBC/pgtypes.c PgSQL/ODBC/pgtypes.c
--- PgSQL.orig/ODBC/pgtypes.c	2004-01-09 14:22:11.000000000 +0100
+++ PgSQL/ODBC/pgtypes.c	2004-01-09 15:54:24.104089600 +0100
@@ -704,7 +704,8 @@
 	if (col < 0)
 		return maxsize;
 
-	result = SC_get_Curres(stmt);
+	if (!(result = SC_get_Curres(stmt)))
+		return maxsize;
 
 	/*
 	 * Manual Result Sets -- use assigned column width (i.e., from
